* {
	box-sizing: border-box;
}



body {
	/*background: none;*/
}

header {
	/*z-index: 1;*/
}

header nav .navbar-brand img {
	width: auto;
	height: 48px;
}

th {
	overflow:hidden; 
    white-space:nowrap; 
    text-overflow: ellipsis;
}

.container {
	/*background: #fff;*/
}

.login {
	background: url(../images/background2.jpg) no-repeat center center fixed; 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;

	color: #696969;
}

.login .logo {
	max-width: 400px;
	width: 100%;
}

.card-img-top {
	width: auto !important;
}

.tooltip .tooltip-inner {
	background: rgba(180, 180, 180, 1);
	color: #000;
	border: 1px solid #aaa;
}

footer {
	background: #333;
	color: #ddd;
	margin-top: 2em;
}

footer .container {
	background: none;
}

.login.container {
	background: none;
}

.modal.fade {
	-webkit-backdrop-filter: blur(6px);
	backdrop-filter: blur(6px);
}

body {                /* body - or any parent wrapper */
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.wrapper {
  flex: 1;
}

#debug {
  color: white;
  background: repeating-linear-gradient(
    45deg,
    #222,
    #222 10px,
    #333 10px,
    #333 20px
  );
}

.home {
	background: url(../images/background2.jpg) no-repeat center center fixed; 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

.sortHandle {
	cursor: grab;
}

.modal img {
	max-width: 100%;
	height: auto;
}

#notify {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	height: auto;
	text-align: center;
	opacity: .95;
	z-index: 1060;
}

.notifyMsg {
	
}

#notify .alert {
	margin: 0;
	margin-top: 10px;
}

#notify .alert i {
	cursor: pointer;
	margin-left: .5em;
}

.notifyMsg.moveOut {
	animation-name: moveOut;
	animation-duration: 5.1s;
}

@keyframes moveOut {
	0%   {margin-top: 0; opacity: 1;}
	20% {margin-top: -60px; opacity: 0;}
	100% {margin-top: -60px; opacity: 0;}
}


.cursor-pointer {
	cursor: pointer;
}

.alert-light {
	border-width: 1px;
	border-color: #eee;
}


/* remove editor top margin */
.trumbowyg-box {
	margin: 0;
}


.building {
	width: 100%;
}

.buildingContainer {
	position: relative;
	display: block;
	margin-bottom: 1em;
	margin-top: 22%;
	padding: 1em;
	padding-top: 0;
	z-index: 1051;
}

.building .floor {
	min-height: 3em;
}

.placeholder {
	border: 3px dashed #5dd39e;
}

.buildingGFX {
	margin-bottom: 0;
	/*padding: 110px 20px 150px 20px;*/
	width: 100%;
	max-width: 500px;
	min-width: 200px;
	z-index: 1;
	position: relative;
}

.buildingGFX .ground {
	width: 100%;
	margin: 0;
	position: absolute;
	bottom: -111%;
	left: 0;
	right: 0;
	z-index: 0;
}

.buildingGFX .ground img {
	width: 100%;
	
}

.buildingGFX .floor {
	/*background: linear-gradient(to bottom, #ccc 0%,#aaa 100%);*/
	position: relative;
	margin: 0 1em;
	margin-left: 24%;
	transition: all .2s ease-in-out;
	z-index: 1;
}

.buildingGFX .floorContainer.floorOpen > .floor {
	margin-top: 30px;
	margin-bottom: 30px;
}

.buildingGFX .floorContainer.floorOpen > .floorFront, .buildingGFX .floorContainer.floorOpen > .floorNo {
	/*background: rgba(250, 220, 150, .3);*/
	color: #47ADD9;
	text-shadow: -2px -2px 5px #000000,  -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white;
	padding-top: 3px;
	padding-left: 3px;
}

.buildingGFX .floor img {
	width: 66%;
	margin-top: -37.5%;
}

.buildingGFX .floor img:hover {
	/*border: 1px solid #f00;*/
}

.floorContainer {
	position: relative;
	transition: all 1s ease-in-out;
}

.buildingGFX .floorContainer .floorContent {
	background: #fff;
	z-index: 1052;
	position: relative;
	transition: all 1s ease-in-out;
	height: 0;
	overflow: hidden;
}

.buildingGFX .floorContainer .floorFront {
	display: block;
	width: 30%;
	height: 90%;
	position: absolute;
	left: 25%;
	bottom: 67%;
	font-size: 20pt;
	color: #fff;
	transform: skewY(30deg);
	text-align: center;
	cursor: pointer;
	z-index: 50;
	/*background: rgba(30, 140, 120, .2);*/
}

.buildingGFX .floorContainer .floorNo {
	width: 14.5%;
	height: 90%;
	position: absolute;
	left: 55%;
	bottom: 34%;
	font-size: 20pt;
	color: #fff;
	transform: skewY(-30deg);
	text-align: center;
	cursor: pointer;
	z-index: 50;
	transition: all 1s ease-in-out;
	/*background: rgba(140, 30, 120, .2);*/
}

.buildingGFX .floorContainer .floorNo:hover {
	/*border: 1px solid #f00;*/
}

.buildingGFX .floor .floorName {
	position: absolute;
	right: .2em;
	bottom: 48px;
	font-size: 13pt;
	color: #fff;
}

.heatingHigh {
	background-color: #fff3cd;
}


.card-body p:last-of-type {
	margin-bottom: 0;
}

.card-title {
	border-bottom: 1px dotted #ccc;
}

.striped-light {
	background-image: -webkit-linear-gradient(bottom left, rgba(255, 255, 255, 0) 25%, rgba(255, 255, 255, .7) 25%, rgba(255, 255, 255, .7) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 75%, rgba(255, 255, 255, .7) 75%, rgba(255, 255, 255, .7) 100%);
	background-image: -moz-linear-gradient(bottom left, rgba(255, 255, 255, 0) 25%, rgba(255, 255, 255, .7) 25%, rgba(255, 255, 255, .7) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 75%, rgba(255, 255, 255, .7) 75%, rgba(255, 255, 255, .7) 100%);
	background-image: -o-linear-gradient(bottom left, rgba(255, 255, 255, 0) 25%, rgba(255, 255, 255, .7) 25%, rgba(255, 255, 255, .7) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 75%, rgba(255, 255, 255, .7) 75%, rgba(255, 255, 255, .7) 100%);
	background-image: linear-gradient(to top right, rgba(255, 255, 255, 0) 25%, rgba(255, 255, 255, .7) 25%, rgba(255, 255, 255, .7) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 75%, rgba(255, 255, 255, .7) 75%, rgba(255, 255, 255, .7) 100%);
	background-size: 56.57px 56.57px;
}

.striped-white {
	background-image: -webkit-linear-gradient(bottom left, rgba(255, 255, 255, 0) 25%, rgba(255, 255, 255, 1) 25%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 75%, rgba(255, 255, 255, 1) 75%, rgba(255, 255, 255, 1) 100%);
	background-image: -moz-linear-gradient(bottom left, rgba(255, 255, 255, 0) 25%, rgba(255, 255, 255, 1) 25%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 75%, rgba(255, 255, 255, 1) 75%, rgba(255, 255, 255, 1) 100%);
	background-image: -o-linear-gradient(bottom left, rgba(255, 255, 255, 0) 25%, rgba(255, 255, 255, 1) 25%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 75%, rgba(255, 255, 255, 1) 75%, rgba(255, 255, 255, 1) 100%);
	background-image: linear-gradient(to top right, rgba(255, 255, 255, 0) 25%, rgba(255, 255, 255, 1) 25%, rgba(255, 255, 255, 1) 50%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0) 75%, rgba(255, 255, 255, 1) 75%, rgba(255, 255, 255, 1) 100%);
	background-size: 56.57px 56.57px;
}

@media only screen and (max-width: 600px) {
	
	.login {
		background: #fff;
	}
	
	.login .card {
		border: none;
	}
	.buildingGFX .floor .floorName {
		display: none;
	}
	
	.navbarMobile {
		width: 100%;
	}
	.navbar .row {
		width: 100%;
	}
	
	.navbar .col {
		width: 49%;
		marging: 0;
		padding: 0;
		display: inline-block;
	}
	
	h1, .h1 {
		font-size: 2rem;
	}
	
	h2, .h2 {
		font-size: 1.7rem;
	}
}
